## hmmer2 2.3.2

=== debian/changelog ===
hmmer2 (2.3.2-7ubuntu1) trusty; urgency=low

  * Use autotools-dev for arm64.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 16 Feb 2014 11:23:45 -0500

hmmer2 (2.3.2-7) unstable; urgency=low

  * Team upload
  * debian/control:
    - Removed myself from the Uploaders.
    - Removed obsolete DM-Upload-Allowed field.
    - Use canonical VCS URLs.
    - Normalised using config-model-edit. 
    - Build-depend on libperl4-corelibs-perl (Closes: #730921). 
  * Conforms with Policy 3.9.5.

 -- Charles Plessy <plessy@debian.org>  Sun, 01 Dec 2013 09:26:43 +0900

hmmer2 (2.3.2-6) unstable; urgency=low

  [Charles Plessy]
  * Enabled upstream checks in debian/rules.
  * Documented how the package is tested in debian/README.Debian
  * Switched Debhelper to mode 7 (debian/compat, debian/control).
  * Gathered some metadata about upstream in debian/upstream-metadata.yaml.
  * Checked conformance with Policy 3.8.3 and incremented Standards-Version
    in debian/control to reflect it.

  [Laszlo Kajan]
  * Debhelper 8.
  * Policy version 3.9.3.
  * Renaming hmmer version 2 to hmmer2 in order to allow coexistence with
    hmmer (>=3) in wheezy.
  * Renaming binaries and man pages:

     hmmalign     => hmm2align    
     hmmbuild     => hmm2build    
     hmmcalibrate => hmm2calibrate
     hmmconvert   => hmm2convert  
     hmmemit      => hmm2emit     
     hmmfetch     => hmm2fetch    
     hmmindex     => hmm2index    
     hmmpfam      => hmm2pfam     
     hmmsearch    => hmm2search   
     
     hmmcalibrate-pvm => hmm2calibrate-pvm
     hmmpfam-pvm      => hmm2pfam-pvm
     hmmsearch-pvm    => hmm2search-pvm

    in order to allow coexistence with those from hmmer (>=3).
    (Closes: #680539)
  * debian/rules: remove binary without source documentation
    Userguide.pdf in get-orig-source target

 -- Laszlo Kajan <lkajan@rostlab.org>  Mon, 09 Jul 2012 17:46:31 +0200

hmmer (2.3.2-5) unstable; urgency=low

  * Changed the doc-base section according to the new policy.
  * debian/control:
    - Added myself as Uploader.
    - Increased priority to `optional'
    - Standards-Version: 3.8.0 (no changes needed)

 -- Charles Plessy <plessy@debian.org>  Sun, 06 Jul 2008 23:49:23 +0900

hmmer (2.3.2-4) unstable; urgency=low

  * Moved Homepage tag from long description to tags
  * Removed XB-Tag because it is actually not used by debtags
  * Added myself as Uploader
  * Standards-Version: 3.7.3 (no changes needed)
  * Added Vcs-Browser, Vcs-Svn
  * DM-Upload-Allowed: yes

 -- Andreas Tille <tille@debian.org>  Tue, 26 Feb 2008 20:40:17 +0100

hmmer (2.3.2-3) unstable; urgency=low

  * Updated hmmer homepage (Closes: #435396). Thanks to Charles Plessy;
  * Updated watch file;
  * Moved Matthew Vernon to Uploaders and set Maintainer to Debian-Med
    Packaging Team <debian-med-packaging@lists.alioth.debian.org>;
  * Downgraded biosquid to recommends.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Tue, 31 Jul 2007 15:15:23 -0300

hmmer (2.3.2-2) unstable; urgency=medium

  * Changed my email address;
  * Changing priority to extra, instead optional (hmmer has a dependency on
    pvm and libpmv3 -- Policy 2.5);
  * Added tags on debian/control;
  * Medium urgency to get the package with the correct priority on Etch.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Wed,  6 Dec 2006 16:27:06 -0200

hmmer (2.3.2-1) unstable; urgency=low

  * New upstream version (Closes: #261293);
  * Documentation is split in a new package (Closes: #233374, #175481);
  * "getseq" is not shipped anymore with hmmer, since it was renamed to
    "sfetch" (Closes: #197658);
  * New package hmmer-pvm, with PVM enabled binaries;
  * The package is again non-Debian native;
  * Using CDBS;
  * Using debhelper compatibility level 5;
  * Updated Standards-Version to 3.7.2;
  * Added doc-base and watch file;
  * Updated copyright file;
  * Added me as co-maintainer.
    From Matthew Vernon:
    "If you're keen to take hmmer, take it; I'm writing up my thesis at the
    moment, so my time for Debian is somewhat limited; I took on hmmer
    because it was orphaned at the time, and I wanted it to stay in the
    distribution."

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Tue, 15 Aug 2006 17:30:32 -0300

hmmer (2.1.4) unstable; urgency=low

  * Change section to science

 -- Matthew Vernon <matthew@debian.org>  Tue, 10 Apr 2001 02:51:17 +0100

hmmer (2.1.3) unstable; urgency=low

  * Move from /usr/man to /usr/share/man (closes: #91171)
  * Move from /usr/doc to /usr/share/doc (closes: #91494)

 -- Matthew Vernon <matthew@debian.org>  Mon, 09 Apr 2001 16:12:21 +0100
	

hmmer (2.1.2) unstable; urgency=low

  * New maintainer

 -- Matthew Vernon <matthew@debian.org>  Tue, 07 Dec 1999 16:30:35 +0000

hmmer (2.1.1-1) unstable; urgency=low

  * New upstream version.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Tue, 30 Mar 1999 16:50:05 -0700

hmmer (2.0-1) unstable; urgency=low

  * Initial Release.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Thu, 13 Aug 1998 21:48:53 -0700
