=== debian/control ===
Source: hmmer2
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Matthew Vernon <matthew@debian.org>,
           Nelson A. de Oliveira <naoliv@debian.org>,
           Andreas Tille <tille@debian.org>,
           Laszlo Kajan <lkajan@rostlab.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 8),
               pvm-dev,
               autotools-dev,
               libperl4-corelibs-perl
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/hmmer2/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/hmmer2/trunk/
Homepage: http://hmmer.janelia.org/

Package: hmmer2
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: biosquid
Suggests: hmmer2-doc (>= ${source:Version}),
          hmmer2-pvm (>= ${binary:Version})
Description: profile hidden Markov models for protein sequence analysis
 HMMER is an implementation of profile hidden Markov model methods for
 sensitive searches of biological sequence databases using multiple sequence
 alignments as queries.
 .
 Given a multiple sequence alignment as input, HMMER builds a statistical
 model called a "hidden Markov model" which can then be used as a query into
 a sequence database to find (and/or align) additional homologues of the
 sequence family.

Package: hmmer2-pvm
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         pvm
Suggests: hmmer2-doc (>= ${binary:Version})
Description: HMMER programs with PVM (Parallel Virtual Machine) support
 HMMER is an implementation of profile hidden Markov model methods for
 sensitive searches of biological sequence databases using multiple sequence
 alignments as queries.
 .
 Given a multiple sequence alignment as input, HMMER builds a statistical
 model called a "hidden Markov model" which can then be used as a query into
 a sequence database to find (and/or align) additional homologues of the
 sequence family.
 .
 This package contains HMMER programs compiled with PVM support.

Package: hmmer2-doc
Architecture: all
Section: doc
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: hmmer2 (>= ${source:Version}),
            xpdf-reader | pdf-viewer
Description: profile hidden Markov models for protein sequence analysis (docs)
 HMMER is an implementation of profile hidden Markov model methods for
 sensitive searches of biological sequence databases using multiple sequence
 alignments as queries.
 .
 Given a multiple sequence alignment as input, HMMER builds a statistical
 model called a "hidden Markov model" which can then be used as a query into
 a sequence database to find (and/or align) additional homologues of the
 sequence family.
 .
 This package contains documents and example files for the hmmer2 package.
