=== debian/watch ===
version=3
ftp://selab.janelia.org/pub/software/hmmer/2.3.2/hmmer-([0-9.]+)\.tar\.gz
