## hmmer2 2.3.2+dfsg

=== debian/changelog ===
hmmer2 (2.3.2+dfsg-7) unstable; urgency=medium

  * Drop hmmer2-pvm package
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Use NOTES as upstream changelog and install 00README
  * Cleanup after running build time test

 -- Andreas Tille <tille@debian.org>  Wed, 12 Aug 2020 11:44:30 +0200

hmmer2 (2.3.2+dfsg-6) unstable; urgency=medium

  * Update watch file
  * Update d/copyright
  * Stick to debhelper 10 (in compat level 11 dh_auto_configure
    passes --runstatedir=/run to ./configure.  This causes FTBFS.)
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Mon, 24 Sep 2018 11:34:02 +0200

hmmer2 (2.3.2+dfsg-5) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata: Added refs to OMICtoos,
    bio.tools, RRID

  [ Andreas Tille ]
  * Build-Depends: rename
    Closes: #874042
  * Standards-Version: 4.1.0 (no chaanges needed)
  * Drop autotools-dev

 -- Andreas Tille <tille@debian.org>  Sun, 03 Sep 2017 21:50:24 +0200

hmmer2 (2.3.2+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Use -ffloat-store on i386 to fix FTBFS.
    Thanks to Aaron M. Ucko for the hint.
    Closes: #865099

 -- Sascha Steinbiss <satta@debian.org>  Tue, 04 Jul 2017 23:08:03 +0200

hmmer2 (2.3.2+dfsg-3) unstable; urgency=medium

  * Upload to unstable

 -- Andreas Tille <tille@debian.org>  Mon, 19 Jun 2017 09:33:45 +0200

hmmer2 (2.3.2+dfsg-2) experimental; urgency=medium

  * Build libhmmer.a using -fPIC to enable linking with other programs
    like psortb

 -- Andreas Tille <tille@debian.org>  Wed, 19 Apr 2017 09:11:29 +0200

hmmer2 (2.3.2+dfsg-1) experimental; urgency=medium

  * Link against libsquid instead of code copy
  * d/rules: drop unneeded get-orig-source target
  * debhelper 10
  * Remove SWISS-PROT copyrighted files in tutorial

 -- Andreas Tille <tille@debian.org>  Thu, 13 Apr 2017 08:57:30 +0200

hmmer2 (2.3.2-13) unstable; urgency=medium

  * Fixed watch file
  * Provide links to original names of tools that have vanished in hmmer3
    This is used by bioperl-run
  * Fix spelling in manpage

 -- Andreas Tille <tille@debian.org>  Tue, 17 Jan 2017 17:19:44 +0100

hmmer2 (2.3.2-12) unstable; urgency=medium

  * Team upload.
  * Make build reproducible.
    - Remove build directory from installed Makefile.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 09 Sep 2016 19:58:20 +0000

hmmer2 (2.3.2-11) unstable; urgency=medium

  * Team upload.
  * Add missing dependency to autopkgtest.
  * Make build reproducible. Thanks to Chris Lamb for the patch.
    Closes: #828065

 -- Sascha Steinbiss <satta@debian.org>  Fri, 24 Jun 2016 15:22:40 +0000

hmmer2 (2.3.2-10) unstable; urgency=medium

  * Team upload.

  [ Canberk Koç ]
  * autopkgtests added
  * debian/rules:
    - added example files

  [ Afif Elghraoui ]
  * Set VCS URLs to point to git repository
  * Bump Standards-Version to 3.9.8

  [ Andreas Tille ]
  * Clean up Uploaders from inactive maintainers
  * Better hardening

 -- Canberk Koç <canberkkoc@gmail.com>  Thu, 16 Jun 2016 22:01:44 +0300

hmmer2 (2.3.2-9) unstable; urgency=medium

  * debhelper 9
  * cme fix dpkg-control
  * document removed PDF in Files-Excluded instead of README.source
  * slight DEP5 fix

 -- Andreas Tille <tille@debian.org>  Fri, 08 Jan 2016 13:23:34 +0100

hmmer2 (2.3.2-8) unstable; urgency=medium

  * Use autotools-dev for arm64.

 -- Laszlo Kajan <lkajan@debian.org>  Sat, 13 Sep 2014 21:21:54 +0200
