=== debian/control ===
Source: hmmer2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Laszlo Kajan <lkajan@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libperl4-corelibs-perl,
               libsquid-dev,
               pkg-config,
               dh-exec,
               rename
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/hmmer2
Vcs-Git: https://salsa.debian.org/med-team/hmmer2.git
Homepage: http://hmmer.janelia.org/
Rules-Requires-Root: no

Package: hmmer2
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: biosquid
Suggests: hmmer2-doc (>= ${source:Version})
Description: profile hidden Markov models for protein sequence analysis
 HMMER is an implementation of profile hidden Markov model methods for
 sensitive searches of biological sequence databases using multiple sequence
 alignments as queries.
 .
 Given a multiple sequence alignment as input, HMMER builds a statistical
 model called a "hidden Markov model" which can then be used as a query into
 a sequence database to find (and/or align) additional homologues of the
 sequence family.

Package: hmmer2-doc
Architecture: all
Section: doc
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: hmmer2 (>= ${source:Version}),
            xpdf-reader | pdf-viewer
Description: profile hidden Markov models for protein sequence analysis (docs)
 HMMER is an implementation of profile hidden Markov model methods for
 sensitive searches of biological sequence databases using multiple sequence
 alignments as queries.
 .
 Given a multiple sequence alignment as input, HMMER builds a statistical
 model called a "hidden Markov model" which can then be used as a query into
 a sequence database to find (and/or align) additional homologues of the
 sequence family.
 .
 This package contains documents and example files for the hmmer2 package.

Package: libhmmer2-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: profile hidden Markov models for protein sequence analysis (devel)
 HMMER is an implementation of profile hidden Markov model methods for
 sensitive searches of biological sequence databases using multiple sequence
 alignments as queries.
 .
 Given a multiple sequence alignment as input, HMMER builds a statistical
 model called a "hidden Markov model" which can then be used as a query into
 a sequence database to find (and/or align) additional homologues of the
 sequence family.
 .
 This package contains header files and static library that can be used to
 link against libhmmer.
