=== debian/tests/control ===
Tests: run-unit-test
Depends: @, libperl4-corelibs-perl, build-essential, libsquid-dev, pkg-config
Restrictions:
