=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  http://hmmer.org/download.html .*/hmmer/hmmer-(2[.\d]+)\.tar\.gz

# alternatively
#  http://eddylab.org/software/hmmer/hmmer-(2[.\d]+)\.tar\.gz

#  http://hmmer.org/download.html .*/hmmer/2.*/hmmer-(2.+)\.tar\.gz
# This would fetch 2.4i as well but the release notes
#   http://eddylab.org/software/hmmer/2.4i/NOTES
# say:
#   This is not a production release. The current
#   production release is still version 2.3.2 (October 2003).


# There is some effort to continue hmmer2 but see the discussion here
#  https://alioth-lists.debian.net/pipermail/debian-med-packaging/2020-August/083899.html
#opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
#  https://github.com/MichiganTech/hmmer/releases .*/archive/(2\..*)@ARCHIVE_EXT@
